# Interface SublayerLike

Base interface for Esri sublayer classes.

interface SublayerLike {
id?: string | number;
layer?: LayerWithSublayers;
listMode?: "show" | "hide" | "hide-children";
maxScale?: number;
minScale?: number;
opacity?: number;
sublayers?: Collection<SublayerLike>;
title?: string;
visible?: boolean;
clone?(): SublayerLike;
}

#### Hierarchy

- Accessor
  - SublayerLike

#####
Index

### Properties

id?
layer?
listMode?
maxScale?
minScale?
opacity?
sublayers?
title?
visible?

### Methods

clone?

##
Properties

### `Optional` id

id?: string | number

The unique ID for the sublayer.

### `Optional` layer

layer?: LayerWithSublayers

The parent Layer object.

### `Optional` listMode

listMode?: "show" | "hide" | "hide-children"

Controls the visibility of the sublayer in the layer list.

### `Optional` maxScale

maxScale?: number

The sublayer's maximum scale.

### `Optional` minScale

minScale?: number

The sublayer's minimum scale.

### `Optional` opacity

opacity?: number

The opacity of the sublayer, specified as a number between 0 (transparent) and 1 (fully opaque).

### `Optional` sublayers

sublayers?: Collection<SublayerLike>

A collection of child sublayers. Not all sublayer types support this.

### `Optional` title

title?: string

The human readable title of the sublayer.

### `Optional` visible

visible?: boolean

Whether the sublayer is visible.

##
Methods

### `Optional` clone

- clone(): SublayerLike

- Creates a copy of the sublayer object.

  #### Returns SublayerLike